Loading...
Searching...
No Matches
mpr_global.h File Reference

Go to the source code of this file.

## Macros

#define | mprDEBUG_STICKY
#define | mprPROT(msg)
#define | mprPROTnl(msg)
#define | mprPROTP(msg, poly)
#define | mprPROTPnl(msg, poly)
#define | mprPROTI(msg, intval)
#define | mprPROTL(msg, intval)
#define | mprPROTInl(msg, intval)
#define | mprPROTN(msg, nval)
#define | mprPROTNnl(msg, nval)
#define | mprSTICKYPROT(msg)
#define | mprSTICKYPROT2(msg, arg)
#define | ST_BASE_EV "."
#define | ST_DENSE_FR ":"
#define | ST_DENSE_NR "."
#define | ST_DENSE_MEM "+"
#define | ST_DENSE_NMON "-"
#define | ST_SPARSE_MEM "+"
#define | ST_SPARSE_VADD "+"
#define | ST_SPARSE_VREJ "-"
#define | ST_SPARSE_MPEND "e"
#define | ST_SPARSE_MREC1 "r"
#define | ST_SPARSE_MREC2 "R"
#define | ST_SPARSE_RC "+"
#define | ST_SPARSE_RCRJ "-"
#define | ST__DET "|"
#define | ST_ROOTS_LGSTEP "|"
#define | ST_ROOTS_LGPOLISH "#"
#define | ST_ROOTS_LG "-"
#define | ST_VANDER_STEP "."

## Typedefs

typedef double | mprfloat

## Macro Definition Documentation

## mprDEBUG_STICKY

#define mprDEBUG_STICKY

Definition at line 28 of file mpr_global.h.

## mprPROT

#define mprPROT | ( |  | msg | ) |

Definition at line 41 of file mpr_global.h.

## mprPROTI

#define mprPROTI | ( |  | msg,
|  |  | intval )

Definition at line 45 of file mpr_global.h.

## mprPROTInl

#define mprPROTInl | ( |  | msg,
|  |  | intval )

Definition at line 47 of file mpr_global.h.

## mprPROTL

#define mprPROTL | ( |  | msg,
|  |  | intval )

Definition at line 46 of file mpr_global.h.

## mprPROTN

#define mprPROTN | ( |  | msg,
|  |  | nval )

Definition at line 48 of file mpr_global.h.

## mprPROTnl

#define mprPROTnl | ( |  | msg | ) |

Definition at line 42 of file mpr_global.h.

## mprPROTNnl

#define mprPROTNnl | ( |  | msg,
|  |  | nval )

Definition at line 49 of file mpr_global.h.

## mprPROTP

#define mprPROTP | ( |  | msg,
|  |  | poly )

Definition at line 43 of file mpr_global.h.

## mprPROTPnl

#define mprPROTPnl | ( |  | msg,
|  |  | poly )

Definition at line 44 of file mpr_global.h.

## mprSTICKYPROT

#define mprSTICKYPROT | ( |  | msg | ) |

Value:
if (BTEST1(OPT_PROT)) Print(msg)
Print
#define Print
Definition emacs.cc:80
OPT_PROT
#define OPT_PROT
Definition options.h:76
BTEST1
#define BTEST1(a)
Definition options.h:34

Definition at line 54 of file mpr_global.h.

## mprSTICKYPROT2

#define mprSTICKYPROT2 | ( |  | msg,
|  |  | arg )

Value:
if (BTEST1(OPT_PROT)) Print(msg,arg)

Definition at line 55 of file mpr_global.h.

## ST__DET

#define ST__DET "|"

Definition at line 78 of file mpr_global.h.

## ST_BASE_EV

#define ST_BASE_EV "."

Definition at line 62 of file mpr_global.h.

## ST_DENSE_FR

#define ST_DENSE_FR ":"

Definition at line 64 of file mpr_global.h.

## ST_DENSE_MEM

#define ST_DENSE_MEM "+"

Definition at line 66 of file mpr_global.h.

## ST_DENSE_NMON

#define ST_DENSE_NMON "-"

Definition at line 67 of file mpr_global.h.

## ST_DENSE_NR

#define ST_DENSE_NR "."

Definition at line 65 of file mpr_global.h.

## ST_ROOTS_LG

#define ST_ROOTS_LG "-"

Definition at line 82 of file mpr_global.h.

## ST_ROOTS_LGPOLISH

#define ST_ROOTS_LGPOLISH "#"

Definition at line 81 of file mpr_global.h.

## ST_ROOTS_LGSTEP

#define ST_ROOTS_LGSTEP "|"

Definition at line 80 of file mpr_global.h.

## ST_SPARSE_MEM

#define ST_SPARSE_MEM "+"

Definition at line 69 of file mpr_global.h.

## ST_SPARSE_MPEND

#define ST_SPARSE_MPEND "e"

Definition at line 72 of file mpr_global.h.

## ST_SPARSE_MREC1

#define ST_SPARSE_MREC1 "r"

Definition at line 73 of file mpr_global.h.

## ST_SPARSE_MREC2

#define ST_SPARSE_MREC2 "R"

Definition at line 74 of file mpr_global.h.

## ST_SPARSE_RC

#define ST_SPARSE_RC "+"

Definition at line 75 of file mpr_global.h.

## ST_SPARSE_RCRJ

#define ST_SPARSE_RCRJ "-"

Definition at line 76 of file mpr_global.h.

## ST_SPARSE_VADD

#define ST_SPARSE_VADD "+"

Definition at line 70 of file mpr_global.h.

## ST_SPARSE_VREJ

#define ST_SPARSE_VREJ "-"

Definition at line 71 of file mpr_global.h.

## ST_VANDER_STEP

#define ST_VANDER_STEP "."

Definition at line 84 of file mpr_global.h.

## Typedef Documentation

## mprfloat

typedef double mprfloat

Definition at line 17 of file mpr_global.h.